=== debian/changelog ===
ros-noetic-rviz-mesh-plugin (1.0.1-1focal) focal; urgency=high

  * Fix for memory leak in TexturedMeshVisual::addTexture()

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-rviz-mesh-plugin (1.0.0-1focal) focal; urgency=high

  * release version 1.0.0

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 25 Apr 2020 22:00:00 -0000
